=== debian/changelog ===
dtknetworkmanager (1.0.3-1) unstable; urgency=medium

  * update

 -- Packages Builder <packages@deepin.com>  Tue, 17 Jan 2023 14:17:48 +0800

dtknetworkmanager (1.0.3) unstable; urgency=medium

  * Update changelog

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 17 Jan 2023 14:05:56 +0800

dtknetworkmanager (1.0.0) unstable; urgency=medium

  * Initial release

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 01 Jul 2022 14:29:07 +0800
