=== debian/control ===
Source: dtknetworkmanager
Section: libdevel
Priority: optional
Maintainer: Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper-compat (= 12),
 cmake,
 libdtkcore-dev,
 qhelpgenerator-qt5 | qttools5-dev-tools,
 qtbase5-dev,
 doxygen,
 libnm-dev,
 libglib2.0-dev,
 graphviz
Standards-Version: 4.5.0

Package: libdtknetworkmanager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Deepin Tool Kit template library
 libdtknetworkmanager is base library of Deepin Qt/C++ applications.
 .
 This package contains the shared libraries.

Package: libdtknetworkmanager-dev
Architecture: any
Depends:${misc:Depends}, libdtknetworkmanager( =${binary:Version})
Description: Deepin Tool Kit template devel library
 libdtknetworkmanager-dev is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the header files and static libraries.
